dist_bin_SCRIPTS = \
	yahoo-check-links \
	yahoo-link

@INTLTOOL_DESKTOP_RULE@

appdir = $(datadir)/applications/
app_in_files = \
	dell-support.desktop.in \
	yahoo-mail.desktop.in \
	yahoo-maps.desktop.in \
	yahoo-search.desktop.in \
	yahoo-weather.desktop.in \
	youtube.desktop.in
dist_app_DATA = $(app_in_files:.in=)

autostartdir = $(sysconfdir)/xdg/autostart
dist_autostart_DATA = \
	yahoo-check-links.desktop

pngdir = $(datadir)/icons/moblin/48x48/apps
dist_png_DATA = \
	dell-support.png \
	moblin-system-search.png \
	yahoo-mail.png \
	yahoo-maps.png \
	yahoo-search.png \
	yahoo-weather.png \
	youtube.png

gtk_update_icon_cache = gtk-update-icon-cache -f -t $(datadir)/icons/moblin
install-data-hook: update-icon-cache
uninstall-hook: update-icon-cache
update-icon-cache:
	@-if test -z "$(DESTDIR)"; then \
		echo "Updating Gtk icon cache."; \
		$(gtk_update_icon_cache); \
	else \
		echo "*** Icon cache not updated.  After (un)install, run this:"; \
		echo "***   $(gtk_update_icon_cache)"; \
	fi
